/
Get campaign by ID
Get a campaign by ID.
Security
oauth2(Required scopes: borrowercampaign:read) or bearerAuth or apiKeyHeader
GET
- oauth2
- bearerAuth
- apiKeyHeader
curl -i -X GET \
'https://sandboxapi.peach.finance/api/campaigns/{borrowerCampaignId}' \
-H 'Authorization: Bearer <YOUR_TOKEN_HERE>'Success
A borrower campaign is part of a system for exporting contact information for borrowers or sending communications to borrowers in bulk.
A borrower campaign objects represents this campaign. It contains the information specifying from where a campaign derives its input borrower list, a schedule for execution, and the format for exporting that list.
The input borrowers list is defined by a Redash query. See redashQueryUrl for details.
Response
- General
- bulkSender
- bulkSender: paymentDueDateReminder
- bulkSender: loanOverdueNthNotice
- bulkSender: autopayPaymentReminder
- bulkSender: loginFirstPaymentReminder
- bulkSender: autopayEnableReminder
- bulkSender: autopayAmountChanged
- bulkSender: futurepayPaymentDueReminder
- bulkSender: loanRightToCurePersonalUnsecured
- bulkSender: cardExpiresReminder
{ "message": "string", "status": 0, "data": { "createdAt": "2019-08-24T14:15:22Z", "deletedAt": "2019-08-24T14:15:22Z", "id": "string", "updatedAt": "2019-08-24T14:15:22Z", "externalId": "string", "bulkSenderId": "string", "contactExporterId": "string", "redashApiKey": "string", "redashQueryUrl": "https://acme-rd.peach.finance/queries/48", "schedule": "string", "sftpSettings": { … } } }